Issue #6735 has been updated by luislavena (Luis Lavena).


Thanks for your time and details Thomas.

However, as mentioned in my previous comment, ncurses does not compile properly with either MinGW or mingw-w64 toolchains that I use to build RubyInstaller.

While getting ncurses to work properly on Windows is a great idea, I personally lack the knowledge or experience on curses to help.

On the other hand, pdcurses, with minor changes, did compile properly with both 32 and 64bits compiler toolchains, which is the reason I'm requesting support for linking against it.

Regards.
----------------------------------------
Feature #6735: curses: support linking against pdcurses
https://bugs.ruby-lang.org/issues/6735#change-28164

Author: luislavena (Luis Lavena)
Status: Assigned
Priority: Normal
Assignee: shugo (Shugo Maeda)
Category: ext
Target version: 2.0.0


Hello,

On Windows, ncurses are not available. Instead we link against PDCurses when building RubyInstaller.

Except that we required rename linking library to libcurses so curses extension finds it.

I would like to ask curses extension supports pdcurses linking library.

Attached is a patch that allows linking against unmodified pdcurses linking library.

I would like to port this change also to 1.9.3 in order to standardize building RubyInstaller.

Thank you


-- 
http://bugs.ruby-lang.org/